Loading...
Searching...
No Matches
apr_dbm_type_t Struct Reference

`#include <apr_dbm_private.h>`

## Data Fields

const char * | name
apr_status_t(* | open )(apr_dbm_t **pdb, const char *pathname, apr_int32_t mode, apr_fileperms_t perm, apr_pool_t *pool)
void(* | close )(apr_dbm_t *dbm)
apr_status_t(* | fetch )(apr_dbm_t *dbm, apr_datum_t key, apr_datum_t *pvalue)
apr_status_t(* | store )(apr_dbm_t *dbm, apr_datum_t key, apr_datum_t value)
apr_status_t(* | del )(apr_dbm_t *dbm, apr_datum_t key)
int(* | exists )(apr_dbm_t *dbm, apr_datum_t key)
apr_status_t(* | firstkey )(apr_dbm_t *dbm, apr_datum_t *pkey)
apr_status_t(* | nextkey )(apr_dbm_t *dbm, apr_datum_t *pkey)
void(* | freedatum )(apr_dbm_t *dbm, apr_datum_t data)
void(* | getusednames )(apr_pool_t *pool, const char *pathname, const char **used1, const char **used2)

## Detailed Description

Structure to describe the operations of the DBM

## Field Documentation

## close

void(* apr_dbm_type_t::close) (apr_dbm_t *dbm)

Close the DBM

## del

apr_status_t(* apr_dbm_type_t::del) (apr_dbm_t *dbm, apr_datum_t key)

Delete a dbm record value by key

## exists

int(* apr_dbm_type_t::exists) (apr_dbm_t *dbm, apr_datum_t key)

Search for a key within the dbm

## fetch

apr_status_t(* apr_dbm_type_t::fetch) (apr_dbm_t *dbm, apr_datum_t key, apr_datum_t *pvalue)

Fetch a dbm record value by key

## firstkey

apr_status_t(* apr_dbm_type_t::firstkey) (apr_dbm_t *dbm, apr_datum_t *pkey)

Retrieve the first record key from a dbm

## freedatum

void(* apr_dbm_type_t::freedatum) (apr_dbm_t *dbm, apr_datum_t data)

Proactively toss any memory associated with the apr_datum_t.

## getusednames

void(* apr_dbm_type_t::getusednames) (apr_pool_t *pool, const char *pathname, const char **used1, const char **used2)

Get the names that the DBM will use for a given pathname.

## name

const char* apr_dbm_type_t::name

The name of the DBM Type

## nextkey

apr_status_t(* apr_dbm_type_t::nextkey) (apr_dbm_t *dbm, apr_datum_t *pkey)

Retrieve the next record key from a dbm

## open

apr_status_t(* apr_dbm_type_t::open) (apr_dbm_t **pdb, const char *pathname, apr_int32_t mode, apr_fileperms_t perm, apr_pool_t *pool)

Open the DBM

## store

apr_status_t(* apr_dbm_type_t::store) (apr_dbm_t *dbm, apr_datum_t key, apr_datum_t value)

Store a dbm record value by key

The documentation for this struct was generated from the following file:

- apr_dbm_private.h